import React from 'react';
import PropTypes from 'prop-types';
import type { formatHour as defaultFormatHour } from './shared/hourFormatter';
import type { ClassName, HandLength, HandWidth, MarkLength, MarkWidth, OppositeHandLength } from './shared/types';
export type ClockProps = {
    className?: ClassName;
    formatHour?: typeof defaultFormatHour;
    hourHandLength?: HandLength;
    hourHandOppositeLength?: OppositeHandLength;
    hourHandWidth?: HandWidth;
    hourMarksLength?: MarkLength;
    hourMarksWidth?: MarkWidth;
    locale?: string;
    minuteHandLength?: HandLength;
    minuteHandOppositeLength?: OppositeHandLength;
    minuteHandWidth?: HandWidth;
    minuteMarksLength?: MarkLength;
    minuteMarksWidth?: MarkWidth;
    renderHourMarks?: boolean;
    renderMinuteHand?: boolean;
    renderMinuteMarks?: boolean;
    renderNumbers?: boolean;
    renderSecondHand?: boolean;
    secondHandLength?: HandLength;
    secondHandOppositeLength?: OppositeHandLength;
    secondHandWidth?: HandWidth;
    size?: React.CSSProperties['width'];
    value?: string | Date | null;
};
declare function Clock({ className, formatHour, hourHandLength, hourHandOppositeLength, hourHandWidth, hourMarksLength, hourMarksWidth, locale, minuteHandLength, minuteHandOppositeLength, minuteHandWidth, minuteMarksLength, minuteMarksWidth, renderHourMarks, renderMinuteHand, renderMinuteMarks, renderNumbers, renderSecondHand, secondHandLength, secondHandOppositeLength, secondHandWidth, size, value, }: ClockProps): JSX.Element;
declare namespace Clock {
    var propTypes: {
        className: PropTypes.Requireable<NonNullable<string | (string | null | undefined)[] | null | undefined>>;
        formatHour: PropTypes.Requireable<(...args: any[]) => any>;
        hourHandLength: PropTypes.Validator<number>;
        hourHandOppositeLength: PropTypes.Validator<number>;
        hourHandWidth: PropTypes.Validator<number>;
        hourMarksLength: PropTypes.Validator<number>;
        hourMarksWidth: PropTypes.Validator<number>;
        locale: PropTypes.Requireable<string>;
        minuteHandLength: PropTypes.Validator<number>;
        minuteHandOppositeLength: PropTypes.Validator<number>;
        minuteHandWidth: PropTypes.Validator<number>;
        minuteMarksLength: PropTypes.Validator<number>;
        minuteMarksWidth: PropTypes.Validator<number>;
        renderHourMarks: PropTypes.Requireable<boolean>;
        renderMinuteHand: PropTypes.Requireable<boolean>;
        renderMinuteMarks: PropTypes.Requireable<boolean>;
        renderNumbers: PropTypes.Requireable<boolean>;
        renderSecondHand: PropTypes.Requireable<boolean>;
        secondHandLength: PropTypes.Validator<number>;
        secondHandOppositeLength: PropTypes.Validator<number>;
        secondHandWidth: PropTypes.Validator<number>;
        size: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
        value: PropTypes.Requireable<NonNullable<string | Date | null | undefined>>;
    };
}
export default Clock;
